var outline_elem_external_url = 'outline-elem-external-url';

function outlineExternalLink() {
    var links = document.querySelectorAll('a');
    for (var index = 0, len = links.length; index < len; index++) {
        var elem = links[index];
        var url = elem.href;
        if (isURLExternal(url)) {
            if (!elem.classList.contains(outline_elem_external_url)) {
                elem.classList.add(outline_elem_external_url);
            }
        }
    }
}

var twd_outline_external_no_follow_link_elem_css = 'outline-external-nofollow';

function outlineExternalNoFollowLink() {
    var links = document.querySelectorAll('a');
    for (var index = 0, len = links.length; index < len; index++) {
        var elem = links[index];
        var url = elem.href;
        if (url) {
            if (isURLExternal(url)) {
                var rel = elem.getAttribute('rel');
                if (rel) {
                    var text = rel.trim().toLowerCase();
                    if (text == 'nofollow' || text.match(' nofollow') || text.match('nofollow ')) {
                        if (!elem.classList.contains(twd_outline_external_no_follow_link_elem_css)) {
                            elem.classList.add(twd_outline_external_no_follow_link_elem_css);
                        }
                    }
                }
            }
        }
    }
}

// removes outline-external-nofollow-classnames from elements
function removeOutlineExternalNofollowClassname() {
    var elements = document.querySelectorAll('.' + twd_outline_external_no_follow_link_elem_css);
    for (var index = 0, len = elements.length; index < len; index++) {
        elements[index].classList.remove(twd_outline_external_no_follow_link_elem_css);
    }
}